dummy_iterator< T, Distance >
Inheritance diagram for dummy_iterator< T, Distance >:

## Public Member Functions

dummy_iterator< T, Distance > & | operator++ ()
dummy_iterator< T, Distance > | operator++ (int)
T & | operator* ()
const T & | operator* () const
| dummy_iterator ()

## Protected Attributes

T | _dummy

## Detailed Description

### template<class T, class Distance = std::ptrdiff_t>
class rheolef::dummy_iterator< T, Distance >

Definition at line 67 of file msg_util.h.

## Constructor & Destructor Documentation

## dummy_iterator()

dummy_iterator | ( |  | ) |

Definition at line 73 of file msg_util.h.

## Member Function Documentation

## operator++() [1/2]

dummy_iterator<T,Distance>& operator++ | ( |  | ) |

Definition at line 69 of file msg_util.h.

## operator++() [2/2]

dummy_iterator<T,Distance> operator++ | ( | int |  | ) |

Definition at line 70 of file msg_util.h.

## operator*() [1/2]

T& operator* | ( |  | ) |

Definition at line 71 of file msg_util.h.

## operator*() [2/2]

const T& operator* | ( |  | ) | const

Definition at line 72 of file msg_util.h.

## Member Data Documentation

## _dummy

T _dummy

protected

Definition at line 75 of file msg_util.h.

The documentation for this class was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/linalg/lib/msg_util.h